Name:           transmageddon
Version:        0.16
Release:        1%{dist}
Summary:        A video transcoder built using GStreamer

Group:          Applications/Multimedia          
License:        GPLv2+        
URL:            http://www.linuxrising.org/transmageddon/
Source0:        http://www.linuxrising.org/transmageddon/files/%{name}-%{version}.tar.bz2

BuildRequires: intltool desktop-file-utils
Requires:      gstreamer gettext 
BuildArch:     noarch

%description
Transmageddon is a video transcoder for Linux and Unix systems built using
GStreamer. It supports almost any format as its input and can generate a 
very large host of output files. The goal of the application was to help
people to create the files they need to be able to play on their mobile
devices and for people to generate a multimedia file without having
to resort to command line tools. 

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-0.10
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-0.10/presets
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/profiles
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/transmageddon.desktop

sed -i -e '/^#!\//, 1d' %{buildroot}/%{_datadir}/%{name}/which.py

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS RELEASE ChangeLog NEWS TODO
%doc %{_mandir}/man1/transmageddon.1.gz
%{_bindir}/transmageddon
%{_datadir}/applications/transmageddon.desktop
%{_datadir}/pixmaps/transmageddon.svg
%{_datadir}/%{name}/
%{_datadir}/gstreamer-0.*/presets/GstFaac.prs
%{_datadir}/gstreamer-0.*/presets/GstLameMP3Enc.prs
%{_datadir}/gstreamer-0.*/presets/GstTheoraEnc.prs
%{_datadir}/gstreamer-0.*/presets/GstVorbisEnc.prs
%{_datadir}/gstreamer-0.*/presets/GstXvidEnc.prs
%{_datadir}/gstreamer-0.*/presets/ffenc_ac3.prs
%{_datadir}/gstreamer-0.*/presets/ffenc_flv.prs
%{_datadir}/gstreamer-0.*/presets/ffenc_h263p.prs
%{_datadir}/gstreamer-0.*/presets/ffenc_mpeg4.prs



%changelog
* Thu Jun 17 2010 Runa Bhattacharjee <runab@fedoraproject.org> - 0.16-1
- Initial version of the package


